package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyLawArchives;
import com.ruoyi.system.domain.grid.GridCompanyLawArchivesExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyLawArchivesMapper {
    long countByExample(GridCompanyLawArchivesExample example);

    int deleteByExample(GridCompanyLawArchivesExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyLawArchives record);

    int insertSelective(GridCompanyLawArchives record);

    List<GridCompanyLawArchives> selectByExample(GridCompanyLawArchivesExample example);

    GridCompanyLawArchives selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyLawArchives record, @Param("example") GridCompanyLawArchivesExample example);

    int updateByExample(@Param("record") GridCompanyLawArchives record, @Param("example") GridCompanyLawArchivesExample example);

    int updateByPrimaryKeySelective(GridCompanyLawArchives record);

    int updateByPrimaryKey(GridCompanyLawArchives record);
}